package de.hdm_stuttgart.sw1.klausur.test;

import org.junit.Assert;
import org.junit.Test;

import de.hdm_stuttgart.mi.exam.unitmarking.Marking;

import static de.hdm_stuttgart.sw1.klausur.StringTransforms.morsen;

@SuppressWarnings({"javadoc"})
public class Test_MorseExceptions {
	
	@Test
	@Marking(points=5)
	public void morsen_Exception () {
		try {
			final String text = "Ab+en_d";
			morsen("Ab+en_d");
			Assert.fail("String " + text + " sollte Exception zur Folge haben");
		} catch (final Exception ex) {}
	}
	
	@Test
	@Marking(points=2)
	public void morsen_ExceptionMessage() {
		final String text = "Ab+en_d";
		try {
			morsen(text);
			Assert.fail("String " + text + " sollte Exception zur Folge haben");
		} catch (final Exception ex) {
			Assert.assertEquals("Eingabezeichenkette '" + text + 
					"' enthält nicht-Morsezeichen '+'.", ex.getMessage());
		}
	}
}